package org.dromara.system.service;

import org.dromara.common.core.domain.R;
import org.dromara.system.domain.TeacherInfo;
import org.dromara.system.domain.vo.TeacherInfoVo;
import org.dromara.system.domain.bo.TeacherInfoBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 老师档案信息Service接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface ITeacherInfoService {

    /**
     * 查询老师档案信息
     */
    TeacherInfoVo queryById(Long id);

    /**
     * 查询老师档案信息列表
     */
    TableDataInfo<TeacherInfoVo> queryPageList(TeacherInfoBo bo, PageQuery pageQuery);

    /**
     * 查询老师档案信息列表
     */
    List<TeacherInfoVo> queryList(TeacherInfoBo bo);

    /**
     * 新增老师档案信息
     */
    R<Void> insertByBo(TeacherInfoBo bo);

    /**
     * 修改老师档案信息
     */
    Boolean updateByBo(TeacherInfoBo bo);

    /**
     * 校验并批量删除老师档案信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
